import os
from subprocess import call
from cgi import parse_qs

def pyindex(environ):
    params = environ.get("QUERY_STRING", "No Query String in url")
    
    # Returns a dictionary containing lists as values.
    d = parse_qs(params)
    
    result=''
    cpu=''
    mem = ''
    percent=''
    
    cpu = d.get('cpu', [''])[0]
    mem = d.get('mem', [''])[0]
    sec = d.get('sec', [''])[0]
    percent = d.get('percent', [''])[0]
    #sec = d.get('sec', [''])[0]
    
    if cpu:
        os.system("python /opt/shared/webroot/ROOT/load-cpu.py " + str(sec) + " > /dev/null 2>&1 &")
        result = "<h2>Cpu load started on " + str(int(sec) / 60) + " min</h2>"
    elif mem:
        os.system("python /opt/shared/webroot/ROOT/load-mem.py " + str(sec) + " " + str(percent) + " > /dev/null 2>&1 &")
        result = "<h2>Memory load started on " + str(int(sec) / 60) + " min</h2>"
   
    output  = '<html>'
    output += '<head>'
    output +=     '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">'
    output +=     '<title>JTest</title>'
    output +=     '<style type="text/css">'
    output +=         '.button1{'
    output +=         'width: 200px;'
    output +=         'height: 50px;'
    output +=     '}'
    output +=     '.input1{'
    output +=            'width: 150px;'
    output +=            'text-align: center;'
    output +=     '}'
    output +=     '</style>'
    output += '</head>'
    output += '<body>'
    output +=     '<center>'
    output +=     '<h1>Welcome to JTest! (Python)</h1>'
    output +=     result
    output +=     '<br>'
    output +=     '<input type="button" value="CPU (1 min)" class="button1" onclick="load(\'cpu\', 60)"/>'
    output +=     '<input type="button" value="CPU (3 min)" class="button1" onclick="load(\'cpu\', 180)"/>'
    output +=     '<input type="button" value="CPU (5 min)" class="button1" onclick="load(\'cpu\', 300)"/>'
    output +=     '<input type="button" value="CPU (10 min)" class="button1" onclick="load(\'cpu\', 600)"/>'
    output +=     '<br><br>'
    output +=     '<input type="button" value="MEM (1 min)" class="button1" onclick="loadmem(\'mem\', 60, 50)"/>'
    output +=     '<input type="button" value="MEM (3 min)" class="button1" onclick="loadmem(\'mem\', 180, 50)"/>'
    output +=     '<input type="button" value="MEM (5 min)" class="button1" onclick="loadmem(\'mem\', 300, 50)"/>'
    output +=     '<input type="button" value="MEM (10 min)" class="button1" onclick="loadmem(\'mem\', 600, 50)"/>'    
    output +=     '<br><br>'
    output +=     '</center>'
    output +=     '<script>'
    output +=         'function load(par, sec){'
    output +=             'window.location="/?" + par + "=1&sec=" + sec;'
    output +=         '}'
    output +=     'function loadmem(par, sec, percent){'
    output +=             'window.location="/?" + par + "=1&sec=" + sec + "&percent=" + percent;'
    output +=         '}'
    output +=     '</script>'
    output += '</body>'
    output += '</html>'
    return output